/*
* Автор: Галкин А.И.
* Дата: 2014-12-08
* Назначение: Исправление обязательности колонок в SLK_RULE_DATAFORMAT
* Изменяются объекты:
		alter table SLK_RULE_DATAFORMAT
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set echo off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-12-08.FixSLK_RULE_DATAFORMAT.sql';
	purpose       varchar2(4000) := 'Исправление обязательности колонок в SLK_RULE_DATAFORMAT';
	script_exists number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	commit;

exception
	when others then
		rollback;
		raise;
end;
/

alter table SLK_RULE_DATAFORMAT modify ERROR_TEMPLATE VARCHAR2(200 CHAR) NULL;
alter table SLK_RULE_DATAFORMAT modify ERROR_TEMPLATE_KZ VARCHAR2(200 CHAR) NULL;
